Create a holder application
Creates a holder application. Once created, application instances can be registered and interact with the MATTR VII platform (for example, to claim credentials).
Roles
Analytics Events
bearerAuthAuthorizationBearer <token>Holder application payload
application/json- body
Configuration for a holder iOS application.
name?stringUnique name to identify the holder application.
clientId?stringOAuth 2.0 client_id value that the holder application uses when requesting client attestations. This value is included as the sub claim in attestation JWTs and must match the client_id configured on the Authorization Server.
type*"ios"Defines the holder application type.
"ios"bundleId*stringBundle ID of the iOS app.
teamId*teamIdTeam ID of the iOS app.
maxTimeOfflineInSecs?integerMaximum number of seconds the SDK can operate offline before requiring a new license token.
- Cannot be less than 1 day (86400 seconds).
- Cannot exceed 30 days (2592000 seconds).
- Default is 7 days (604800 seconds).
86400 <= value <= 2592000604800appAttest?App Attest configuration for the iOS holder application.
If this object is omitted, MATTR VII validates any attestation it receives against the production environment.
Holder application created
application/json- response
Configuration for a holder iOS application.
id?stringUnique identifier of the holder application.
name?stringUnique name to identify the holder application.
clientId?stringOAuth 2.0 client_id value associated with the holder application for client attestation. Included as the sub claim in attestation JWTs.
type*"ios"Defines the holder application type.
"ios"bundleId*stringBundle ID of the iOS app.
teamId*teamIdTeam ID of the iOS app.
maxTimeOfflineInSecs?integerMaximum number of seconds the SDK can operate offline before requiring a new license token.
- Cannot be less than 1 day (86400 seconds).
- Cannot exceed 30 days (2592000 seconds).
- Default is 7 days (604800 seconds).
86400 <= value <= 2592000604800appAttest?App Attest configuration for the iOS holder application.
If this object is omitted, MATTR VII validates any attestation it receives against the production environment.
curl -X POST 'https://example.vii.au01.mattr.global/v1/holder/applications' \ -H 'Content-Type: application/json' \ -d '{ "name": "My Holder Application", "clientId": "example-wallet-client", "type": "ios", "bundleId": "com.example-holder-ios-application", "teamId": "A2B3C4D5E6"}'{ "id": "1ef1f867-20b4-48ea-aec1-bea7aff4964c", "name": "Example Holder Application", "clientId": "example-wallet-client", "type": "ios", "bundleId": "com.example-holder-ios-application", "teamId": "A2B3C4D5E6", "maxTimeOfflineInSecs": 86400, "appAttest": { "required": true, "environment": "production" }}How would you rate this page?
Delete credential data DELETE
Deletes all stored data for an existing credential that matches the provided ID. If the credential is revocable, it will also be permanently revoked. <Callout> Removed credential data cannot be recovered. </Callout>
Retrieve all holder applications GET
Retrieves all configured holder applications.